org.richfaces.taglib

## Class ColumnsTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - org.richfaces.taglib.ColumnsTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class ColumnsTag
      extends javax.faces.webapp.UIComponentClassicTagBase
      implements javax.servlet.jsp.tagext.IterationTag

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ForEachIterator` | `items` Iterator for columns's tag value attribute
    `protected java.lang.Object` | `rawItems` Value attribute value

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnsTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.faces.component.UIComponent` | `createComponent(javax.faces.context.FacesContext context, java.lang.String newId)`
    `int` | `doAfterBody()`
    `int` | `doEndTag()`
    `void` | `doInitBody()`
    `int` | `doStartTag()`
    `java.lang.String` | `getComponentType()`
    `protected java.lang.String` | `getDelims()`
    `java.lang.String` | `getRendererType()`
    `protected boolean` | `hasBinding()`
    `void` | `setBegin(javax.el.ValueExpression begin)`
    `void` | `setBreakBefore(javax.el.ValueExpression __breakBefore)` if "true" next column begins from the first row Setter for breakBefore
    `void` | `setColspan(javax.el.ValueExpression __colspan)` Corresponds to the HTML colspan attribute Setter for colspan
    `void` | `setColumns(javax.el.ValueExpression columns)`
    `void` | `setComparator(javax.el.ValueExpression __comparator)` Setter for comparator
    `void` | `setDir(javax.el.ValueExpression dir)` Sets dir attr
    `void` | `setEnd(javax.el.ValueExpression end)`
    `void` | `setFilterBy(javax.el.ValueExpression __filterBy)` Setter for filterBy
    `void` | `setFilterDefaultLabel(javax.el.ValueExpression __filterDefaultLabel)` Setter for filterDefaultLabel
    `void` | `setFilterEvent(javax.el.ValueExpression __filterEvent)` Event for filter input that forces the filtration (default = onchange) Setter for filterEvent
    `void` | `setFilterExpression(javax.el.ValueExpression __filterExpression)` Attribute defines a bean property which is used for filtering of a column Setter for filterExpression
    `void` | `setFilterMethod(javax.el.MethodExpression __filterMethod)` Setter for filterMethod
    `void` | `setFilterValue(javax.el.ValueExpression __filterValue)` Setter for filterValue
    `void` | `setFooterClass(javax.el.ValueExpression __footerClass)` Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass
    `void` | `setHeaderClass(javax.el.ValueExpression __headerClass)` Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass
    `void` | `setIndex(javax.el.ValueExpression index)`
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRendered(javax.el.ValueExpression __rendered)` Attribute defines whether to render component or not Setter for rendered
    `void` | `setRowspan(javax.el.ValueExpression __rowspan)` Corresponds to the HTML rowspan attribute Setter for rowspan
    `void` | `setSelfSorted(javax.el.ValueExpression __selfSorted)` Setter for selfSorted
    `void` | `setSortable(javax.el.ValueExpression __sortable)` Boolean attribute.
    `void` | `setSortBy(javax.el.ValueExpression __sortBy)` Attribute defines a bean property which is used for sorting of a column Setter for sortBy
    `void` | `setSortExpression(javax.el.ValueExpression __sortExpression)` Attribute defines a bean property which is used for sorting of a column Setter for sortExpression
    `void` | `setSortIcon(javax.el.ValueExpression icon)` Defines sort icon.
    `void` | `setSortIconAscending(javax.el.ValueExpression iconAscending)` Defines sort icon for ascending order.
    `void` | `setSortIconDescending(javax.el.ValueExpression iconDescending)` Defines sort icon for descending order.
    `void` | `setSortOrder(javax.el.ValueExpression __sortOrder)` SortOrder is an enumeration of the possible sort orderings.
    `void` | `setStyle(javax.el.ValueExpression __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
    `void` | `setStyleClass(javax.el.ValueExpression __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
    `void` | `setValue(javax.el.ValueExpression __value)` The current value for this component Setter for value
    `void` | `setVar(javax.el.ValueExpression __var)` A request-scope attribute via which the data object for the current row will be used when iterating Setter for var
    `void` | `setWidth(javax.el.ValueExpression __width)` Attribute defines width of column.

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, release, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class javax.faces.webapp.UIComponentTagBase

      `getELContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, release, setPageContext, setParent`

- - ### Field Detail

    - #### items

          protected ForEachIterator items

      Iterator for columns's tag value attribute

    - #### rawItems

          protected java.lang.Object rawItems

      Value attribute value

  - ### Constructor Detail

    - #### ColumnsTag

          public ColumnsTag()

  - ### Method Detail

    - #### setSortOrder

          public void setSortOrder(javax.el.ValueExpression __sortOrder)

      SortOrder is an enumeration of the possible sort orderings. Setter for sortOrder
      Parameters:
        `sortOrder` - - new value

    - #### setSortBy

          public void setSortBy(javax.el.ValueExpression __sortBy)

      Attribute defines a bean property which is used for sorting of a column Setter for sortBy
      Parameters:
        `sortBy` - - new value

    - #### setStyle

          public void setStyle(javax.el.ValueExpression __style)

      CSS style(s) is/are to be applied when this component is rendered Setter for style
      Parameters:
        `style` - - new value

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doAfterBody

          public int doAfterBody()
                          throws javax.servlet.jsp.JspException

      Specified by:
        `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
      Overrides:
        `doAfterBody` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doEndTag

          public int doEndTag()
                       throws javax.servlet.jsp.JspException

      Specified by:
        `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doEndTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doInitBody

          public void doInitBody()
                          throws javax.servlet.jsp.JspException

      Specified by:
        `doInitBody` in interface `javax.servlet.jsp.tagext.BodyTag`
      Overrides:
        `doInitBody` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### createComponent

          protected javax.faces.component.UIComponent createComponent(javax.faces.context.FacesContext context,
                                                          java.lang.String newId)
                                                               throws javax.servlet.jsp.JspException

      Specified by:
        `createComponent` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### hasBinding

          protected boolean hasBinding()

      Specified by:
        `hasBinding` in class `javax.faces.webapp.UIComponentClassicTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Specified by:
        `setProperties` in class `javax.faces.webapp.UIComponentClassicTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getDelims

          protected java.lang.String getDelims()

    - #### setEnd

          public void setEnd(javax.el.ValueExpression end)

      Parameters:
        `end` - the end to set

    - #### setBegin

          public void setBegin(javax.el.ValueExpression begin)

      Parameters:
        `begin` - the begin to set

    - #### setColumns

          public void setColumns(javax.el.ValueExpression columns)

      Parameters:
        `columns` - the columns to set

    - #### setIndex

          public void setIndex(javax.el.ValueExpression index)

      Parameters:
        `index` - the index to set

    - #### setValue

          public void setValue(javax.el.ValueExpression __value)

      The current value for this component Setter for value
      Parameters:
        `value` - - new value

    - #### setVar

          public void setVar(javax.el.ValueExpression __var)

      A request-scope attribute via which the data object for the current row will be used when iterating Setter for var
      Parameters:
        `var` - - new value

    - #### setColspan

          public void setColspan(javax.el.ValueExpression __colspan)

      Corresponds to the HTML colspan attribute Setter for colspan
      Parameters:
        `colspan` - - new value

    - #### setStyleClass

          public void setStyleClass(javax.el.ValueExpression __styleClass)

      Corresponds to the HTML class attribute Setter for styleClass
      Parameters:
        `styleClass` - - new value

    - #### setWidth

          public void setWidth(javax.el.ValueExpression __width)

      Attribute defines width of column. Default value is "100px". Setter for width
      Parameters:
        `width` - - new value

    - #### setBreakBefore

          public void setBreakBefore(javax.el.ValueExpression __breakBefore)

      if "true" next column begins from the first row Setter for breakBefore
      Parameters:
        `breakBefore` - - new value

    - #### setComparator

          public void setComparator(javax.el.ValueExpression __comparator)

      Setter for comparator
      Parameters:
        `comparator` - - new value

    - #### setDir

          public void setDir(javax.el.ValueExpression dir)

      Sets dir attr
      Parameters:
        `dir` -

    - #### setFilterBy

          public void setFilterBy(javax.el.ValueExpression __filterBy)

      Setter for filterBy
      Parameters:
        `filterBy` - - new value

    - #### setFilterDefaultLabel

          public void setFilterDefaultLabel(javax.el.ValueExpression __filterDefaultLabel)

      Setter for filterDefaultLabel
      Parameters:
        `filterDefaultLabel` - - new value

    - #### setFilterEvent

          public void setFilterEvent(javax.el.ValueExpression __filterEvent)

      Event for filter input that forces the filtration (default = onchange) Setter for filterEvent
      Parameters:
        `filterEvent` - - new value

    - #### setFilterExpression

          public void setFilterExpression(javax.el.ValueExpression __filterExpression)

      Attribute defines a bean property which is used for filtering of a column Setter for filterExpression
      Parameters:
        `filterExpression` - - new value

    - #### setFilterMethod

          public void setFilterMethod(javax.el.MethodExpression __filterMethod)

      Setter for filterMethod
      Parameters:
        `filterMethod` - - new value

    - #### setFilterValue

          public void setFilterValue(javax.el.ValueExpression __filterValue)

      Setter for filterValue
      Parameters:
        `filterValue` - - new value

    - #### setFooterClass

          public void setFooterClass(javax.el.ValueExpression __footerClass)

      Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass
      Parameters:
        `footerClass` - - new value

    - #### setHeaderClass

          public void setHeaderClass(javax.el.ValueExpression __headerClass)

      Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass
      Parameters:
        `headerClass` - - new value

    - #### setRowspan

          public void setRowspan(javax.el.ValueExpression __rowspan)

      Corresponds to the HTML rowspan attribute Setter for rowspan
      Parameters:
        `rowspan` - - new value

    - #### setSelfSorted

          public void setSelfSorted(javax.el.ValueExpression __selfSorted)

      Setter for selfSorted
      Parameters:
        `selfSorted` - - new value

    - #### setSortable

          public void setSortable(javax.el.ValueExpression __sortable)

      Boolean attribute. If "true" it's possible to sort the column content after click on the header. Default value is "true" Setter for sortable
      Parameters:
        `sortable` - - new value

    - #### setSortExpression

          public void setSortExpression(javax.el.ValueExpression __sortExpression)

      Attribute defines a bean property which is used for sorting of a column Setter for sortExpression
      Parameters:
        `sortExpression` - - new value

    - #### setRendered

          public void setRendered(javax.el.ValueExpression __rendered)

      Attribute defines whether to render component or not Setter for rendered
      Parameters:
        `__rendered` - - new value

    - #### setSortIcon

          public void setSortIcon(javax.el.ValueExpression icon)

      Defines sort icon. The value for the attribute is context related
      Parameters:
        `icon` -

    - #### setSortIconAscending

          public void setSortIconAscending(javax.el.ValueExpression iconAscending)

      Defines sort icon for ascending order. The value for the attribute is context related
      Parameters:
        `iconAscending` -

    - #### setSortIconDescending

          public void setSortIconDescending(javax.el.ValueExpression iconDescending)

      Defines sort icon for descending order. The value for the attribute is context related
      Parameters:
        `iconDescending` -

Copyright © 2014. All Rights Reserved.